import { DSNComponents, SentryEvent, SentryResponse, Transport, TransportOptions } from '@sentry/types';
/** Base Transport class implementation */
export declare abstract class BaseTransport implements Transport {
    options: TransportOptions;
    /**
     * @inheritDoc
     */
    url: string;
    constructor(options: TransportOptions);
    /**
     * @inheritDoc
     */
    composeUrl(dsn: DSNComponents): string;
    /**
     * @inheritDoc
     */
    send(_: SentryEvent): Promise<SentryResponse>;
}
